%define         majornum    2
%define         libname     %mklibname %{name} %{majornum}
%define         develname   %mklibname -d %{name}

Name:           unbound
Version:        1.6.2
Release:        %mkrel 1
Summary:        A validating, recursive, and caching DNS resolver

License:        BSD
Group:          Networking/Other
Url:            https://unbound.net

Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-tmpfiles.conf
Source2:        %{name}.service
Source3:        %{name}_mga.conf


BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  flex
BuildRequires:  nss-devel
BuildRequires:  openssl-devel
BuildRequires:  expat-devel
BuildRequires:  event-devel

Requires(pre):    rpm-helper >= %{rpmhelper_required_version}
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Requires(postun): rpm-helper >= %{rpmhelper_required_version}

%description
Unbound is a validating, recursive, and caching DNS resolver. The C
implementation of Unbound is developed and maintained by NLnet
Labs. It is based on ideas and algorithms taken from a java prototype
developed by Verisign labs, Nominet, Kirei and ep.net. Unbound is
designed as a set of modular components, so that also DNSSEC (secure
DNS) validation and stub-resolvers (that do not run as a server, but
are linked into an application) are easily possible.


%package -n %{libname}
Summary:        Shared libraries for Unbound  
Group:          System/Libraries

%description -n %{libname}
%{summary}.


%package -n %{develname}
Summary:        Development headers and libraries for Unbound
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.



%prep
%setup -q
%autopatch -p1

%build
%configure2_5x  --disable-rpath \
                --with-libevent \
                --disable-static
%make

%install
%make_install
%{__install} -D -p -m 0644  %{buildroot}%{_sysconfdir}/%{name}/unbound.conf %{buildroot}%{_docdir}/%{name}/unbound.conf
%{__install} -D -p -m 0644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf
%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
%{__install} -D -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf

find %{buildroot}%{_libdir} -name *.la -delete

%pre
%_pre_useradd %{name} /dev/null /bin/false
 
%post
%_tmpfilescreate %{name}
%_post_service %{name}
 
%preun
%_preun_service %{name}
 
%postun
%_postun_userdel %{name}



%files
%doc README
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%{_sbindir}/%{name}*
%{_docdir}/%{name}/unbound.conf
%{_mandir}/man1/%{name}*.1*
%{_mandir}/man5/%{name}*.5*
%{_mandir}/man8/%{name}*.8*


%files -n %{libname}
%{_libdir}/lib%{name}.so.%{majornum}
%{_libdir}/lib%{name}.so.%{majornum}.*


%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/lib%{name}*.so
%{_mandir}/man3/*.3.*




%changelog
* Tue May 02 2017 eatdirt <eatdirt> 1.6.2-1.mga6
+ Revision: 1098561
- Upgrade to version 1.6.2

* Fri Mar 03 2017 eatdirt <eatdirt> 1.6.1-1.mga6
+ Revision: 1088567
- Upgrade to version 1.6.1

* Thu Feb 16 2017 mrambo3501 <mrambo3501> 1.6.0-2.mga6
+ Revision: 1086428
- rebuild for new libevent

* Fri Jan 13 2017 eatdirt <eatdirt> 1.6.0-1.mga6
+ Revision: 1081496
- Upgrade to version 1.6.0

* Mon Oct 10 2016 eatdirt <eatdirt> 1.5.10-1.mga6
+ Revision: 1059961
- Upgrading unbound to 1.5.10

* Wed Jun 22 2016 eatdirt <eatdirt> 1.5.9-1.mga6
+ Revision: 1037223
- Upgrade to bug fix release 1.5.9

* Tue Mar 08 2016 eatdirt <eatdirt> 1.5.8-1.mga6
+ Revision: 987371
- Upgrade to version 1.5.8

* Thu Mar 03 2016 umeabot <umeabot> 1.5.7-2.mga6
+ Revision: 984690
- Rebuild for openssl

* Sat Dec 19 2015 eatdirt <eatdirt> 1.5.7-1.mga6
+ Revision: 912131
- Upgrade to version 1.5.7

* Sat Oct 24 2015 eatdirt <eatdirt> 1.5.6-2.mga6
+ Revision: 895050
- Fix systemd config files for out-of-the-box compatibility with dnscrypt-proxy

* Thu Oct 22 2015 eatdirt <eatdirt> 1.5.6-1.mga6
+ Revision: 894286
- imported package unbound

